<?php
/**
 * 短信发送类，封装阿里云短信和腾讯云短信
 * ============================================================================
 * 版权所有 2015-2018 微课堂团队，并保留所有权利。
 * 网站地址: https://www.fylesson.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件，未购买授权用户无论是否用于商业行为都是侵权行为！
 * 允许已购买用户对程序代码进行修改并在授权域名下使用，但是不允许对程序代码以
 * 任何形式任何目的进行二次发售，作者将依法保留追究法律责任的权力和最终解释权。
 * ============================================================================
 */

session_start();

class SendSMS {

	function __construct($mobile, $smsConfig) {
		$this->mobile = $mobile;
		$this->smsConfig = $smsConfig;
	}

	public function sendCode(){
		if(!(preg_match("/1\d{10}/",$this->mobile))){
			$data = array(
				'code' => -1,
				'msg'  => '您输入的手机号码有误'
			);
			$this->resultJson($data);
		}

		$param['code'] = strval(rand(1234,9999));
		$_SESSION['mobile_record'] = $this->mobile;
		$_SESSION['mobile_code'] = $param['code'];

		if($this->smsConfig['type']==1){
			require_once dirname(__FILE__).'/AliyunSMS.php';
			$aliyunSMS = new AliyunSMS();

			$sms = $this->smsConfig['aliyun'];
			$output = $aliyunSMS->sendSMS($sms, $this->mobile, $sms['template_id'], $param);
			$result = json_decode(json_encode($output), true);

			if($result['Code']=='OK'){
				$data = array(
					'code' => 0,
					'msg'  => '验证码发送成功',
					'result' => $result
				);
			}else{
				$data = array(
					'code' => -1,
					'msg'  => $result['Message'],
					
				);
			}

			$this->resultJson($data);

		}
		elseif($this->smsConfig['type']==2){
            $statusStr = array(
                "0" => "短信发送成功",
                "-1" => "参数不全",
                "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！",
                "30" => "密码错误",
                "40" => "账号不存在",
                "41" => "余额不足",
                "42" => "帐户已过期",
                "43" => "IP地址限制",
                "50" => "内容含有敏感词"
            );
		    require_once dirname(__FILE__).'/SmsbaoSMS.php';
            $SmsbaoSMS = new SmsbaoSMS();
			$sms = $this->smsConfig['qcloud'];
			$output = $SmsbaoSMS->sendSMS($sms, $this->mobile, $sms['template_id'], $param);
			if($output=='0'){
				$data = array(
					'code' => 0,
					'msg'  => '验证码发送成功',
					'result' => $output
				);
			}else{
				$data = array(
					'code' => -1,
					'msg'  => $output[$statusStr],
				);
			}
			$this->resultJson($data);
		}
	}


	/* json输出 */
	private function resultJson($data){
		echo json_encode($data);
		exit();
	}

}


?>